Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFPictureShape

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFPictureShape

    public class XSLFPictureShape

extends XSLFSimpleShape

Represents a picture shape

Author:
  Yegor Kozlov

Method Summary
`void` | `drawContent(java.awt.Graphics2D graphics)` draw any content within this shape (image, text, etc.).
`XSLFPictureData` | `getPictureData()`
`void` | `resize()` Resize this picture to the default size.

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape
`draw, getAnchor, getFillColor, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getXmlObject, setAnchor, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resize

    public void resize()

  Resize this picture to the default size. For PNG and JPEG resizes the image to 100%, for other types sets the default size of 200x200 pixels.

### getPictureData

    public XSLFPictureData getPictureData()

### drawContent

    public void drawContent(java.awt.Graphics2D graphics)

  Description copied from class: `XSLFSimpleShape`
  draw any content within this shape (image, text, etc.).

  Overrides:
    `drawContent` in class `XSLFSimpleShape`
  Parameters:
    `graphics` - the graphics to draw into

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD